function ReaderOutput = Step1_MoveToNiftiFolder(ReaderInput)
% all inputs are of type 1
% files from _DICOM folder (.nii.gz) that you want to move to _NIFTI folder

try
    A = ReaderInput.Files;
end

switch exist('A')
    case 0
        msgbox({'all inputs are of type 1.';'files from _DICOM folder (.nii.gz) that you want to move to _NIFTI folder'});
        uiwait;
    otherwise
        strsep = EnableHelperFunction([],'strsep.m');

        [path,file,ext] = fileparts(ReaderInput.Files{1});

        temp = strsep(path,'_');
        if isdir([temp{1} '_NIFTI']) == 0
            mkdir([temp{1} '_NIFTI']);
        end

        temp2 = strsep(ReaderInput.ActiveSession,ReaderInput.PathSep);

        name = inputdlg(['Move ' file ext ' to:'],'',1,{[temp2{end} '_']});
        copyfile(ReaderInput.Files{1},[temp{1} '_NIFTI' ReaderInput.PathSep name{1} '.nii.gz']);
end

ReaderOutput.TrialName = [];
ReaderOutput.Data = 1;