function ReaderOutput = Step4_MakeEvFolder(ReaderInput)
% no input required.
% just make sure you have made an experiment and session active

try
    A = ReaderInput.Files;
end

switch exist('A')
    case 1
        msgbox({'no input required.';'just make sure you have made an experiment and session active.';'Re-run.'});
        uiwait;
        return;
    otherwise
        strsep = EnableHelperFunction([],'strsep.m');
        temp = strsep(ReaderInput.ActiveSession,ReaderInput.PathSep);
        mkdir([ReaderInput.ActiveSession ReaderInput.PathSep temp{end} '_EV']);
        msgbox(['Please drag *contents* of EV folder from your laptop to ' ReaderInput.ActiveSession ReaderInput.PathSep temp{end} '_EV' ' (that will open), and proceeed to next step.']);
        uiwait;
        system(['cd ' ReaderInput.ActiveSession ReaderInput.PathSep temp{end} '_EV ;' ' open . ']);
end

ReaderOutput.Data = 1;
ReaderOutput.TrialName = [];